summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHaelwenn (lanodan) Monnier <contact@hacktivis.me>2018-08-31 01:07:31 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-09-04 22:49:17 +0200
commit96ec942ff1cbe48d98bb7f9b92fe5cf061b165d9 (patch)
treeac1526c41906f586addc40515fe2f02afa472ef8 /www-plugins/passff/passff-1.5.1.ebuild
parentdev-cpp/eigen: 3.3.5 version bump (diff)
downloadgentoo-96ec942ff1cbe48d98bb7f9b92fe5cf061b165d9.tar.gz
gentoo-96ec942ff1cbe48d98bb7f9b92fe5cf061b165d9.tar.bz2
gentoo-96ec942ff1cbe48d98bb7f9b92fe5cf061b165d9.zip
www-plugins/passff: Bump to 1.5.1
Closes: https://github.com/gentoo/gentoo/pull/9740
Diffstat (limited to 'www-plugins/passff/passff-1.5.1.ebuild')
-rw-r--r--www-plugins/passff/passff-1.5.1.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/www-plugins/passff/passff-1.5.1.ebuild b/www-plugins/passff/passff-1.5.1.ebuild
new file mode 100644
index 00000000000..8e1bdf3fe70
--- /dev/null
+++ b/www-plugins/passff/passff-1.5.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit mozextension
+
+DESCRIPTION="zx2c4 pass manager extension for Firefox"
+HOMEPAGE="https://github.com/passff/passff"
+SRC_URI="https://addons.mozilla.org/firefox/downloads/file/1056515/passff-1.5.1-an+fx-linux.xpi"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="firefox firefox-bin"
+
+RDEPEND="www-plugins/passff-host[firefox]"
+REQUIRED_USE="|| ( firefox firefox-bin )"
+
+S="${WORKDIR}"
+
+MY_XPINAME="passff-1.5.1-an+fx-linux"
+
+src_unpack() {
+ xpi_unpack "${MY_XPINAME}.xpi"
+}
+
+src_install() {
+ local MOZILLA_FIVE_HOME
+ if use firefox; then
+ MOZILLA_FIVE_HOME="/usr/$(get_libdir)/firefox"
+ xpi_install "${MY_XPINAME}"
+ fi
+
+ if use firefox-bin; then
+ MOZILLA_FIVE_HOME="/opt/firefox"
+ xpi_install "${MY_XPINAME}"
+ fi
+}